AutoCAD .NET :: How To Create 3D Polyline Based On Point3D Collection

Aug 23, 2012

I want to create a command:

My selection set consists of dbpoints that exists on my drawing and they are more or less in line

I create a new point3dcollection with this db points

I want to create a 3d polyline based on this point3d collection

My problem is : how to sort this point3d collection based on a picked start point and picked end point?

The only idea I have is:

from start point i calculate the distance to each point3d from collection and based on the results i sort the point3d collection based on distances.

View 2 Replies


ADVERTISEMENT

Lightroom :: Create Collection Based On Dimensions?

Apr 17, 2013

I'd like to either use Grid view sorted by dimensions, or create a Collection based on dimensions.  I can do this in Adobe Bridge, but thought Lightroom would add functionality to this.

View 28 Replies View Related

AutoCAD .NET :: Create Rectangle Using AddVertexAt Using Point3D

May 16, 2012

I've got my code to create a rectangle just fine, however i've noticed it doesn't take "Z" coordinates at all. I've got through the code and found my issue to be at these lines;

BlockTableRecord btr = (BlockTableRecord)tr.GetObject(db.CurrentSpaceId, OpenMode.ForWrite);using (Polyline pline = new Polyline()){ pline. Add VertexAt (0, new Point2d(LowerLeft.X, LowerLeft.Y), 0.0, 0.0, 0.0);pline.AddVertexAt(1, new Point2d(UpperRight.X, LowerLeft.Y), 0.0, 0.0, 0.0);pline. Add VertexAt(2, new Point2d(UpperRight.X, UpperRight.Y), 0.0, 0.0, 0.0); pline.AddVertexAt(3, new Point2d(LowerLeft.X, UpperRight.Y), 0.0, 0.0, 0.0); pline. Closed = true;btr.AppendEntity(pline);tr.AddNewlyCreatedDBObject(pline, true); }

 I need to use a Point3d in order to add "Z" but apparently the pline.AddVertexAt only allows for a Point2d.

View 7 Replies View Related

Lightroom :: Set Export Folder Based On Collection Name?

Nov 17, 2012

I'd like to be able to setup an export preset that would save the selected photos to a subfolder within my export folder with the name of the subfolder automatically set to match the collection (or collection set) name. Is this possible?  I have tried looking at the custom folder name options but couldn't quite
 
So, if my parent export folder is say c:PhotosExports and my collection name is 'Summer2012', I'd like for it to automatically export any photos in that collection to c:PhotosExportsSummer2012. Is this possible or do I need to set it manually each time?
 
Reason I'd like to automate this is say I'm in a rush to post up the pics, I might go ahead and export them without editing much and then manually cut and paste them from c:PhotosExports into a Summer2012 folder. If I later make edits to the photos, it'd be much handier to just use a preset export knowing that they would automatically update the files in the Summer2012 folder, rather than having to do another manual cut and paste every time, or manually select the folder if choosing the 'Choose folder later' option. Is there another way to do to what I'm looking for?

View 7 Replies View Related

Lightroom :: A Smart Collection Based On Import Date?

Sep 8, 2013

I want to introduce this into my workflow if possible

View 7 Replies View Related

Lightroom :: Move Photos From Collection To Web Based Calendar Program?

Dec 12, 2013

I want to use a web based calendar  program but cannot upload photos from a collection.

View 1 Replies View Related

AutoCAD Map 3D :: How To Select All Polylines Based On Polyline Object Data

May 17, 2011

I have polylines that when selected, under properties it lists Object Data for the selected polyline. There are like 10 categories. This drawing is actually creeks in a county and they have object data connected to them where some are "a" some are "b" classification and I want to select all of the "a" polylines and put on a diffrent layer.

View 1 Replies View Related

AutoCAD Civil 3D :: Reshaping A Polyline Based On Area Input?

Apr 25, 2013

I have an irregular shaped polyline in civil 3d that needs to be 31.5 acres. It is currently 32.8 acres. Without manually rescaling this polyline over and over again in order to achieve a polyline that represents 31.5 acres, can Civil 3D automatically draw the polyline to represent 31.5 acres for me?

View 9 Replies View Related

AutoCad :: Divide SPline (or Polyline) Into Different Lengths Based On Input

Dec 14, 2013

The task should be similar to the _measure command but, I would like to divide the spline into lengths that I give in input. (Decided by user)

e.g. Length of spline: 10.000 meters

Place a block at length:
- 1238 m
- 2005 m
- 2018 m
- 2458 m
- 4098 m

and so on..

How I can do that? It would be perfect if it would be possible to give an excel file with the length values.

View 0 Replies View Related

AutoCAD .NET :: Event To Get Point3D When Mouse Is Moving

Mar 31, 2013

Is there any Event  or ApI to get the Point3D when the mouse is moving  using .net

I want to get Point3D when the mouse is moving just as CAD shown on  lower left corner. Is there any way to get it with .net?

View 2 Replies View Related

AutoCAD .NET :: Create Object And Get ObjectID Or Add To Collection

Nov 8, 2012

I trying to create an autocad obbject eg: line. after creating i need to add object data to the created object.

unfortunately i am not able to get the objectid of the created object.

code snippet on how to do this..

1. creating a object and add the created object to collect or selectionset

2. get the object id or refernece so i can attach object dat relavent to the objedt...

View 5 Replies View Related

AutoCAD Civil 3D :: How To Create List With DesignSpeed Collection

Mar 10, 2013

the property "item" about DesignSpeed Collection doesn´t  appear but it exists: [URL] .....

Then, How I can obtain a List<T>  with this collection? I want only list with all DesignSpeeds from all alignments in only list.  
 
public static List<toolsC3D.VelocidadesProyecto> GetDesignSpeedsAlineaciones(List<Alignments> lista) { Editor ed = Application.DocumentManager.MdiActiveDocument.Editor; // por si queremos preguntar o responder en la línea de comandos Database db = Application.DocumentManager.MdiActiveDocument.Database;

[Code] .......

Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit

View 1 Replies View Related

AutoCad 3D :: Create 3D Shapes Based On 2D Drawing

Feb 6, 2013

How to do the automatic creation of 3D solids based on plans and sections element. How 3D objects are created in prosteelu.

View 9 Replies View Related

AutoCAD .NET :: How To Create Collection Of Xref Objects Into New Drawing File

Oct 12, 2012

idsObjEntity-->collection of xref objects
private void CloneObjectIds(ObjectIdCollection idsObjEntity, String strFileName)
{
try
{
Database dbNew = new Database(true, false);
Autodesk.AutoCAD.DatabaseServices.TransactionManager tm = dbNew.TransactionManager;
[code].........                 

here i take the object id collection as xref filter by its layer name.i tried to clone the object in new dwg its shows Wrong database.

View 1 Replies View Related

AutoCAD LT :: Create Block Array Based On Prompt

Jun 14, 2012

My vision is when someone inserts "block A", a promt will come up and ask "how many of "block A" do you need?" Based on how many you need, it will insert the block along with the arrayed amount the user has typed in.

View 1 Replies View Related

AutoCad :: How To Create Three Side Based Pyramid As A Solid

Dec 15, 2011

I want to create a pyramid with a base of three sides with different lenght. In the end i want to have a solid where i can drag and move the notes to change the hight,lenght and the angle of the sides.

I already managed to draw it in 3d but now i want to convert the drawing into a solid and keep it flexible to change the parameters by draging the notes.

I also tried to extrude a triangle with a specific angle but then i was only able to move the top note up and down changes the hight. Doing it this way the top note also kept beeping in the center-point of the triangle.

View 7 Replies View Related

AutoCAD .NET :: Create A Selection Set Based On A Specific Multileader Style

Jan 17, 2012

how to create a selection set based on a specific Multileader style? I can currently creating a typedvalue array to define the filter criteria, but cannot find the DXFCODE for the Multileader style.

Ex.

TypedValue[] acTypeValAr = new TypedValue[1];

acTypeValAr.setvalue(new TypedValue(DXFCODE, "Multileader Style"),0);

View 2 Replies View Related

AutoCAD .NET :: Form To Allow Users To Create New DWG Files Based On Selected Criteria

Oct 10, 2012

I developed a program in VBA that used a form to allow users to create new dwg files based on selected criteria the vba program would then create and open the new dwg file and in the case of sheet files, it would populate title block attributes as well.

In vba, the forms focus was carried to the new file so the application would fill in the attributes, etc. as described above,

However in vb.net, I have not been able to get the form to recognize the new file. The program creates and opens the file, however the forms focus is still on the initial file so any actions to be applied to the new file are not carried out.

View 3 Replies View Related

AutoCAD Inventor :: Create Parts List Macro - Position Based On Style

Oct 19, 2011

I have a macro that I acquired somewhere (possibly these boards, can't remember now) for placing a parts list.  I have modified it somewhat to change the location on the sheet where the list gets placed, as well as a sub that starts the autoballoon command afterward.

The macro is set up to place the parts list in the upper left corner, by adding the parts list width to the Mini Point of the border.  This works perfectly well, except that we have two parts list styles, and they are differently sized.

What I would like to do is have the macro detect the parts list style, and change the offset value depending on which style it finds.  I am an extreme novice with the API, who basically knows just enough to tweak sample code a bit, and have not been able to find anything close enough to use as an example.

How I should go about this, or even post some samples of something similar?  Current code is shown below.
 
Public Sub CreatePartsList() On Error Resume Next ' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument 'Set a reference to the active sheet. Dim oSheet As Sheet Set oSheet = oDrawDoc.ActiveSheet ' Set a reference to the first drawing view on ' the sheet. This assumes the first drawing ' view on the sheet is not a draft view. Dim oDrawingView As DrawingView Set oDrawingView = [code].......

The macro does not have to set the parts list style - that is controlled by the drawing Standard.  It just needs to detect what it is, and place the list accordingly. 

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Create Text Based On Room Dimensions?

Dec 19, 2012

make a LISP that will work with my room dimensioning? I'd like to be able to specify the width and depth of the room using a command similar to the "dist" command, and then click a point to place a text based on the distances gathered. I'd also like the text to be formated into architectural units and displayed like this: 12'-0" X 13'-5". Also, if possible, round the result to the nearest inch (to avoid 1/2" and 1/4" dimensions).

View 9 Replies View Related

Photoshop :: Can't Create Smart Collection

May 30, 2013

i have the Problem  that i can't create Smart Collection, the Save-Button doesn't work, the Smart-Collection Window stays open and nothing happens when i click the "save" button!
 
i use CC with a new installed W8 and all is up-to-date.
 
Its a strange thing.

View 6 Replies View Related

AutoCad 3D :: Create (in 3D Workspace) 3D Polyline

Jun 13, 2011

I'm trying to create (in 3D workspace), a 3D polyline which starts from the "ground" and goes up the Z axis for 45 units (meters for example), then, the polyline continues "up" but in a 45 degree inclination, and then it goes up further but still 45 degrees from the last segment.

I attached a picture of this to the post, the top line is the one I want to create, and the bottom one is what I get.
The thing is that the 3dpoly command doesn't let me set the line on the Z plane, unless I fix it in ortho mode, and even after I do the first segment that way, the next one stays fixed in either the Z plane or the XY plane, but not in the 45 degree between them that I want....

P.S. - when I click the 3d polyline command, there are no options in the command area, just "specify first point...." - is this what should appear?

View 9 Replies View Related

AutoCad 3D :: Create A Solid From 3D Polyline

Jun 13, 2013

As part of a larger job we have surveyed the top of a dry stone wall. The client now wants that we make a solid for him from the surveyed points with a height of 2000mm (the drawing units are in millimetres).

A 3d polyline was created from the lines joining the points and I have that in the attached drawing.

I'm not looking for someone to create the wall, but I'm looking for the method to do it, as it will certainly crop up again with this new client. I've tried many ways in both AutoCAD and Civil 3D but just can't create the solid.

View 9 Replies View Related

AutoCad :: Create Set Of Points Around A Polyline

Jul 17, 2011

I'm currently trying to use the draw > point > measure tool to create a set of points around a polyline but I can't seem to get them to start at a point that I want. When I try and create the points they start from a random place.

View 3 Replies View Related

Lightroom :: 4.0 Create Collection In Wrong Place

Mar 26, 2012

Do the following
 
- Open LR 4.0
- Chose a Collection set
- right click, "Create new Collection"
- The collection is created in the previous collection set and on in the one selected.

To me. It is more logic to place the new collection in to the selected collection set and not next to .

View 2 Replies View Related

Lightroom :: Create A Collection That Sync With IPad?

Mar 19, 2012

can i create a collection that synchs with my iPad?

View 1 Replies View Related

Lightroom :: How To Create A Slideshow Without It Affecting Collection

Aug 19, 2013

I can't "disconnect" the original collection from the slideshow.  Basically, I want to create a slideshow with half the pictures from the collection but I still need the collection to show the customer..Even though I have created a slideshow and a collection, if I flag one picture in either one, it flags it in the other.

View 1 Replies View Related

AutoCAD .NET :: Create Extruded Solid 3D From Polyline

Feb 11, 2012

I'm trying to create a Solid 3d that is the extrusion solid af a closed polyline by a given height

I select the polyline that i do this

Solid3d s = new Solid3d();
s.CreateExtrudedSolid(selectedPolyline, new Vector3d(0, 0, 20), new SweepOptions());

but Autocad throw an Invalid Input exception.

View 4 Replies View Related

AutoCAD Civil 3D :: Create Point From A Polyline

Aug 14, 2013

I want to create points from the polyline to identify in the field. For example, I create a square for a concrete pad and I want to identify the corners of the pad.  

View 4 Replies View Related

AutoCAD 2013 :: How To Create Lisp Polyline

Nov 5, 2012

i'm looking for polyline lisp. I type PLINE and type Width specify starting width is 0.0 next specify ending width is 90.0 and then i type 200mm for my distance then i choose again the Width to become 0.0 (starting and ending) then choose Arc. How to create lisp polyline?

View 1 Replies View Related

AutoCAD Civil 3D :: Create Drainage Polyline

Apr 16, 2012

Any way to create a polyline linetype that simulates a solid dashed with outer lines (drainage line)?

I could sort of do it with the multiline feature but not what we want.  using 2011 civil3D

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved